## lua-augeas 0.1.1

=== Makefile ===

LUA_LIBDIR = /usr/lib/lua/5.1

VERSION = 0.1.1
GIT_REV		:= $(shell test -d .git && git describe || echo exported)
ifneq ($(GIT_REV), exported)
FULL_VERSION    := $(GIT_REV)
FULL_VERSION    := $(patsubst v%,%,$(FULL_VERSION))
else
FULL_VERSION    := $(VERSION)
endif

AUGEAS_LIBS= $(shell pkg-config --libs augeas)
OBJS = laugeas.o
LIBS = $(AUGEAS_LIBS)

CFLAGS ?= -g -Wall -Werror
CFLAGS += -fPIC
CFLAGS += -DVERSION=\"$(FULL_VERSION)\"

LDFLAGS += -L/lib

all:	augeas.so


augeas.so: $(OBJS)
	$(CC) $(LDFLAGS) -o $@  -fPIC -shared $^ $(LIBS)

clean:
	rm -f augeas.so $(OBJS)

=== debian/changelog ===
lua-augeas (0.1.1-4) unstable; urgency=medium

  * QA upload
  * Create repository on Salsa
  * Add fake watch file since upstream is inactive
  * d/copyright: DEP5 + review
  * Fix clean target
    Closes: #1048687
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Trim trailing whitespace.
  * Add missing build dependency on dh-lua for addon lua.
  * Do not prefix Lua-Versions
  * Lintian-overrides: obsolete-url-in-packaging

 -- Andreas Tille <tille@debian.org>  Mon, 10 Feb 2025 11:16:26 +0100

lua-augeas (0.1.1-3) unstable; urgency=low

  * Bump to Standards-Version 3.9.4.
  * Orphan package.

 -- Clint Adams <clint@debian.org>  Sun, 05 May 2013 22:32:37 -0400

lua-augeas (0.1.1-2) unstable; urgency=low

  * Multiarchify.

 -- Clint Adams <clint@debian.org>  Sat, 29 Sep 2012 18:34:02 -0400

lua-augeas (0.1.1-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Mon, 06 Aug 2012 23:17:00 -0400

=== debian/control ===
Source: lua-augeas
Section: interpreters
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), libaugeas-dev, dh-lua
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/debian/lua-augeas
Vcs-Git: https://salsa.debian.org/debian/lua-augeas.git
Homepage: https://code.google.com/p/lua-augeas/

Package: lua-augeas
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${lua:Provides}
Lua-Versions: ${lua:Versions}
Description: Lua binding to the Augeas C API
 lua-augeas is a Lua binding to Augeas. Augeas is a configuration
 editing tool. It parses configuration files in their native formats
 and transforms them into a tree. Configuration changes are made by
 manipulating this tree and saving it back into native config files.

=== debian/rules ===
#!/usr/bin/make -f

march := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
libdir := /usr/lib/$(march)/lua/5.1

%:
	dh $@ --buildsystem=lua --with lua

override_dh_auto_build:
	$(MAKE)
	dh_auto_build

override_dh_auto_install:
	install -d $(CURDIR)/debian/lua-augeas/$(libdir)
	install -m 644 augeas.so $(CURDIR)/debian/lua-augeas/$(libdir)
	dh_auto_install
